Bug 143864 - On shutdown of LVM on RAID 1 md1 is still in use
On shutdown of LVM on RAID 1 md1 is still in use
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-30 07:03 EST by Davide Bolcioni
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.23.15-137.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 15:03:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2004-12-30 07:03:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When shutting down, I see at the console:

md: stopping all md devices
md: md1 still in use
md: md0 switched to read-only mode

For reference, md0 is a RAID-1 for the /boot partition while md1 is a
RAID-1 for a LVM2 volume group. The error seems otherwise benign,
since upon reboot the logical volumes are reported clean and
/proc/mdstat shows that md1 is fine.

Version-Release number of selected component (if applicable):
initscripts-7.93.5-1

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 on two IDE disks using a RAID-1 /dev/md0 for /boot and
   /dev/md1 for a LVM2 volume (which has 5 logical volumes, in case)
2. Install updates (as of today December 30, 2004)
3. Reboot
    

Actual Results:  See description.

Expected Results:  Both md devices should have switched to read-only.

Additional info:
Comment 1 Bill Nottingham 2005-01-03 01:16:53 EST
This is after initscripts hands it back to the kernel.
Comment 2 Davide Bolcioni 2005-01-04 04:56:58 EST
Still happens with kernel-2.6.9-1.724_FC3.
Comment 3 Dave Jones 2005-07-15 15:03:59 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Davide Bolcioni 2005-08-17 03:38:07 EDT
Still happens with kernel-2.6.12-1.1372_FC3.
Comment 5 Dave Jones 2006-01-16 17:29:33 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:13:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:14:10 EDT
Closing per previous comment.
Comment 8 Davide Bolcioni 2007-01-24 12:11:40 EST
Still seeing this on a Fedora Core 6 installation with a different 
setup: /dev/md0 for /boot and two LVM PVs on /dev/md1 and /dev/md2 assigned to 
the same VG. On shutdown, immediately before synchronizing SCSI caches, md1 
and md2 are reported as "Still in use" while md0 is not.

Just a thought: perusing /etc/init.d/halt, no LVM specific action is taken 
when unmounting. Should a "lvchange -an" be issued after unmounting ? What
about the root partition ?
Comment 9 Bill Nottingham 2007-01-24 14:11:48 EST
Does it actually cause any harm?
Comment 10 Davide Bolcioni 2007-01-24 15:51:34 EST
Cannot say for sure, but I would be inclined to say it doesn't.
Comment 11 Jon Stanley 2007-12-30 19:29:06 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 12 Davide Bolcioni 2007-12-31 05:54:06 EST
Still occurs with Fedora 7 kernel-2.6.23.8-34.fc7 on yet another system, an 
Intel Core 2 Duo with SATA storage. The error message has changed slightly if 
my memory serves me correctly.

I have not upgraded to Fedora 8 yet.
Comment 13 Jon Stanley 2007-12-31 12:38:13 EST
Changing version to F7, since that is still maintained.  Thanks!
Comment 14 Christopher Brown 2008-02-15 22:02:03 EST
Davide,

Whats the latest on this? Have you been able to test with F8? If not, can you
capture the F7 error message?
Comment 15 Davide Bolcioni 2008-02-28 16:04:53 EST
After updating to Fedora 8, kernel-2.6.23.15-137.fc8, the message no longer 
appears. I think the bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.